#include <d3d9.h>
#include <math.h>

// calcule le vecteur unitaire
D3DVECTOR normalisation(D3DVECTOR);
// calcule la soustraction de deux vecteurs
D3DVECTOR soustraction(D3DVECTOR, D3DVECTOR);
// calcule le produit vectoriel de deux vecteurs
D3DVECTOR produit_vectoriel(D3DVECTOR, D3DVECTOR);
// calcule le produit scalaire de deux vecteurs
float produit_scalaire(D3DVECTOR, D3DVECTOR);
// scalaire * vecteur
D3DVECTOR scalaire(float, D3DVECTOR);
// calcule la matrice identit
D3DMATRIX identite(void);
// translation d'une matrice
void translation(D3DMATRIX*, float, float, float);
// effectue la rotation au tour de l'axe des X
void rotation_X(D3DMATRIX*, float);
// effectue la rotation au tour de l'axe des Y
void rotation_Y(D3DMATRIX*, float);